QGIS Application - Bug report #19933
python error in DB Manager while trying to preview a layer and empty preview
2018-09-24 03:55 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.7(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27756
Description

I'm not sure what is triggering this, but at times a preview of a layer won't work in db manager, and if the focus is moved to the "info" tab
the following error will pop up:

Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 117, in tabChanged
self.refreshTabs()
File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 140, in refreshTabs
self.preview.loadPreview(item)
File "/usr/share/qgis/python/plugins/db_manager/layer_preview.py", line 62, in loadPreview
self._clear()
File "/usr/share/qgis/python/plugins/db_manager/layer_preview.py", line 89, in _clear
self._loadTablePreview(None)
File "/usr/share/qgis/python/plugins/db_manager/layer_preview.py", line 121, in _loadTablePreview
if self.currentLayer:
RuntimeError: wrapped C/C++ object of type QgsVectorLayer has been deleted

Associated revisions

Revision 2b21a979 - 2019-02-23 10:09 PM - Jiirgen Fischer

fix #19933

History

#1 - 2018-09-25 08:31 AM - Alessandro Pasotti
- Status changed from Open to Feedback

Works for me on current linux/master.

| understand that it is kind of random but you should try to find the way to reproduce it or | don't see a chance for finding a solution.

#2 - 2018-09-25 10:08 AM - Giovanni Manghi

I understand that it is kind of random but you should try to find the way to reproduce it or | don't see a chance for finding a solution.

| understand that, until now a clear way to replicate always eluded me.
#3 - 2019-02-23 08:37 PM - Jiirgen Fischer
- Status changed from Feedback to Closed
- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

#4 - 2019-02-23 10:01 PM - Giovanni Manghi

- Resolution deleted (no timely feedback)

- Affected QGIS version changed from 3.3(master) to 3.7(master)
- Status changed from Closed to Open

Just tested with master, the error changed but is still reproducable by opening a schema, selecting layers and swithcing tabs (preview, table, info):

AttributeError: 'NoneType' object has no attribute 'id'
Traceback (most recent call last):
File "/usr/local/share/qgis/python/plugins/db_manager/db_manager.py", line 119, in tabChanged
self.refreshTabs()
File "/usr/local/share/qgis/python/plugins/db_manager/db_manager.py", line 142, in refreshTabs
self.preview.loadPreview(item)
File "/usr/local/share/qgis/python/plugins/db_manager/layer_preview.py", line 62, in loadPreview
self._clear()
File "/usr/local/share/qgis/python/plugins/db_manager/layer_preview.py", line 89, in _clear
self._loadTablePreview(None)
File "/usr/local/share/qgis/python/plugins/db_manager/layer_preview.py", line 132, in _loadTablePreview
self.currentLayerld = vl.id()
AttributeError: 'NoneType' object has no attribute 'id'

#5 - 2019-02-23 10:05 PM - Giovanni Manghi

- Subject changed from python error in DB Manager while trying to preview a layer to python error in DB Manager while trying to preview a layer and
empty preview

- Regression? changed from No to Yes

- Priority changed from Normal to High

actually | just noticed that on master (linux here) the preview is blank and that | triggered the above error by selecting another connection after having
opened the preview panel for a layer.

#6 - 2019-02-23 10:09 PM - Jiirgen Fischer
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|2b21a979944d3bccb332e3eac0bf6d7059b3573e.

#7 - 2019-02-23 10:10 PM - Jiirgen Fischer
- Priority changed from High to Normal

Giovanni Manghi wrote:

actually | just noticed that on master (linux here) the preview is blank and that | triggered the above error by selecting another connection after

having opened the preview panel for a layer.

BTW are you getting instant notifications now?

#8 - 2019-02-23 10:49 PM - Giovanni Manghi

BTW are you getting instant notifications now?

it seems so, thanks!

#9 - 2019-02-23 10:49 PM - Giovanni Manghi
- Resolution set to fixed/implemented
